Oxygen "all" download on Mac asks for Java6

<oXygen/> general issues.
stwissel
Posts: 5

Oxygen "all" download on Mac asks for Java6

Sun Apr 23, 2017 5:17 am

Hi there,

running Oxygen 19.0 on a Mac with macOS 10.12.4.
I have the latest Oracle Java8 runtime installed
Starting from command line using the shell script works as designed (so no show stopper), but clicking any of the Mac application icons results in "To open ... you need to install the legacy Java6 runtime". Since the command line start works, that looks like the app files need to be updated.

Or is there something I can do?
adrian
Posts: 2391

Re: Oxygen "all" download on Mac asks for Java6

Mon Apr 24, 2017 11:55 am

Hello,

The .app launchers from the "All platforms" download only work on OS X with Java 6 (Java for OS X), which is no longer maintained or supported by Apple. This is mentioned in the Requirements section from the download page.
Note that "Java for OS X" is no longer supported on macOS Sierra (10.12). Even if this distribution would support your system installed Java 8, it would still not run out-of-the-box due to the application security measures that macOS Sierra introduced ("Gatekeeper path randomization", a sandboxing of sorts for quarantined apps). A different packaging/signing is necessary for apps to work in Sierra, hence the specialized Mac OS X distribution.

In short, please download and use the specialized Mac OS X distribution of Oxygen (.dmg file). Make sure System Preferences > Security & Privacy, Allow apps downloaded from is set to App Store and identified developers during the application installation/copy phase.

Regards,
Adrian
Adrian Buza
<oXygen/> XML Editor, Schema Editor and XSLT Editor/Debugger
http://www.oxygenxml.com
stwissel
Posts: 5

Re: Oxygen "all" download on Mac asks for Java6

Mon Apr 24, 2017 5:59 pm

Hi Andrian,

thx for the update. I'll use the other package then

Return to “Other Issues”

Who is online

Users browsing this forum: No registered users and 1 guest